A `playlistImage` resource identifies
the thumbnail image associated with a playlist.

## Methods

The API supports the following methods for `playlistImages` resources:

[list](https://developers.google.com/youtube/data/reference/rest/v3/playlistImages/list.md.txt)
:   Returns a collection of playlist images that match the API request parameters.
    [Try it now](https://developers.google.com/youtube/data/reference/rest/v3/playlistImages/list.md.txt#usage).

[insert](https://developers.google.com/youtube/data/reference/rest/v3/playlistImages/insert.md.txt)
:   Adds a thumbail image to a playlist.
    [Try it now](https://developers.google.com/youtube/data/reference/rest/v3/playlistImages/insert.md.txt#usage).

[update](https://developers.google.com/youtube/data/reference/rest/v3/playlistImages/update.md.txt)
:   Updates the thumbnail image for an existing playlist.
    [Try it now](https://developers.google.com/youtube/data/reference/rest/v3/playlistImages/update.md.txt#usage).

[delete](https://developers.google.com/youtube/data/reference/rest/v3/playlistImages/delete.md.txt)
:   Deletes a playlist thumbnail image.
    [Try it now](https://developers.google.com/youtube/data/reference/rest/v3/playlistImages/delete.md.txt#usage).

## Resource representation

The following JSON structure shows the format of a `playlistImages` resource:

```
{
  "kind": "youtube#playlistImage",
  "id": string,
  "snippet": {
    "playlistId": string,
    "type": string,
    "width": string,
    "height": string,
    }
}
```

### Properties

The following table defines the properties that appear in this resource:

| Properties ||
|---|---|
| `kind` | `string` Identifies the API resource's type. The value will be `youtube#playlistImage`. |
| `id` | `string` The ID that YouTube uses to uniquely identify the playlist image. |
| `snippet` | `object` The `snippet` object contains basic details about the playlist image, such as its type and dimensions. |
| `snippet.playlistId` | `string` The playlist ID of the playlist this image is associated with. |
| `snippet.type` | `string` The image type. |
| `snippet.width` | `string` The image's width. |
| `snippet.height` | `string` The images's height. |